length=68;
width=20;
mounting_hole_diameter=5;
mounting_hole_separation=38;
thickness=9; //aluminum mount
mount_thickness=5; //nut mount
nut_diameter=22;
hole_diameter=10;
nut_mounting_hole_diameter=3;
nut_mounting_hole_separation=16;
$fn=96;

base();
translate([-mount_thickness/2,0,nut_diameter/2-0.01])
rotate([0,90,0])
nut_mount();
difference(){
translate([-mount_thickness/2,-nut_diameter/2,0])
cube([mount_thickness,nut_diameter,nut_diameter/2]);
translate([-mount_thickness/2-0.1,0,nut_diameter/2])
rotate([0,90,0])
cylinder(d=nut_diameter,h=mount_thickness+0.2);
}

module base(){
difference(){
translate([-width/2,-length/2,-thickness])
cube([width,length,thickness]);
translate([0,-mounting_hole_separation/2,-thickness-0.1])
cylinder(d=mounting_hole_diameter,h=thickness+0.2);
translate([0,mounting_hole_separation/2,-thickness-0.1])
cylinder(d=mounting_hole_diameter,h=thickness+0.2);
translate([0,-mounting_hole_separation/2,-thickness-0.1+7.4])
cylinder(d=mounting_hole_diameter*2,h=thickness+0.2);
translate([0,mounting_hole_separation/2,-thickness-0.1+7.4])
cylinder(d=mounting_hole_diameter*2,h=thickness+0.2);
}
}

module nut_mount(){
difference(){
cylinder(d=nut_diameter,h=mount_thickness);
translate([0,0,-0.1])
cylinder(d=hole_diameter,h=mount_thickness+0.2);
translate([nut_mounting_hole_separation/2,0,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([-nut_mounting_hole_separation/2,0,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([0,nut_mounting_hole_separation/2,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([0,-nut_mounting_hole_separation/2,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
}
}