thickness=2;
z_nut_size=35;
z_nut_hole_diameter=5;
nut_mounting_hole_diameter=3;
nut_mounting_hole_separation=16;
mount_thickness=17; //nut mount
nut_diameter=22;
hole_diameter=11;
$fn=96;

difference(){
translate([-z_nut_size/2,0,0])
cube([z_nut_size,thickness,z_nut_size]);
translate([-10,-0.1,z_nut_size-10])
rotate([270,0,0])
cylinder(d=z_nut_hole_diameter,h=thickness+0.2);
translate([10,-0.1,z_nut_size-10])
rotate([270,0,0])
cylinder(d=z_nut_hole_diameter,h=thickness+0.2);
}

difference(){
translate([-nut_diameter/2,-nut_diameter/2+0.01,0])
cube([nut_diameter,nut_diameter/2+0.02,mount_thickness]);
translate([0,-nut_diameter/2,0])
cylinder(d=nut_diameter,h=mount_thickness);
}

translate([0,-nut_diameter/2+0.01,0])
nut_mount();

module nut_mount(){
difference(){
cylinder(d=nut_diameter,h=mount_thickness);
translate([0,0,-0.1])
cylinder(d=hole_diameter,h=mount_thickness+0.2);
translate([nut_mounting_hole_separation/2,0,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([-nut_mounting_hole_separation/2,0,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([0,nut_mounting_hole_separation/2,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
translate([0,-nut_mounting_hole_separation/2,-0.1])
cylinder(d=nut_mounting_hole_diameter,h=mount_thickness+0.2);
}
}