router_mount_hole_diameter=6;
router_mount_hole_x_separation=60;
router_mount_hole_z_separation=20;
router_diameter=64;
mount_width=80;
mount_length=80;
mount_thickness=30;
$fn=96;

module solid_mount(){
intersection(){
difference(){
translate([-mount_width/2,-mount_length/2,0])
cube([mount_width,mount_length,mount_thickness]);
translate([0,0,-0.1])
cylinder(d=router_diameter,h=mount_thickness+0.2);
}
cylinder(d=router_diameter+20,h=mount_thickness);
}
difference(){
translate([-mount_width/2,-mount_length/2,0])
cube([mount_width,mount_length/2,mount_thickness]);
translate([0,0,-0.1])
cylinder(d=router_diameter,h=mount_thickness+0.2);
}
}

difference(){
solid_mount();
translate([-mount_width/2-0.1,-5,-0.1])
cube([20,10,mount_thickness+0.2]);

translate([router_mount_hole_x_separation/2,0,mount_thickness/2-router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=mount_length/2);
translate([-router_mount_hole_x_separation/2,0,mount_thickness/2-router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=mount_length/2);
translate([router_mount_hole_x_separation/2,0,mount_thickness/2+router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=mount_length/2);
translate([-router_mount_hole_x_separation/2,0,mount_thickness/2+router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=mount_length/2);

translate([-router_mount_hole_x_separation/2-5,-router_diameter/3,-0.1])
cube([router_mount_hole_diameter+5,router_diameter/8,mount_thickness/3+0.2]);
translate([-router_mount_hole_x_separation/2-5,-router_diameter/3,mount_thickness-mount_thickness/3-0.1])
cube([router_mount_hole_diameter+5,router_diameter/8,mount_thickness/3+0.2]);
translate([router_mount_hole_x_separation/2-5,-router_diameter/3,-0.1])
cube([router_mount_hole_diameter+5,router_diameter/8,mount_thickness/3+0.2]);
translate([router_mount_hole_x_separation/2-5,-router_diameter/3,mount_thickness-mount_thickness/3-0.1])
cube([router_mount_hole_diameter+5,router_diameter/8,mount_thickness/3+0.2]);
}

difference(){
mounting_tabs();
translate([-mount_width/2-4.5,mount_length/2,mount_thickness/2-router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=5,h=mount_length);
translate([-mount_width/2-4.5,mount_length/2,mount_thickness/2+router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=5,h=mount_length);
}

module mounting_tabs(){
translate([-mount_width/2-9,5,0])
cube([10,10,mount_thickness]);
translate([-mount_width/2-9,-15,0])
cube([10,10,mount_thickness]);
}

