mounting_hole_diameter=6;
central_hole_diameter=28;
mounting_hole_distance_to_center=19;
block_thickness=40;
block_width=40;
block_length=52;
height_to_bed=0;
$fn=96;

difference(){
union(){
translate([block_width/2,-block_length/2,0])
cube([height_to_bed,block_length,block_thickness]);

intersection(){
difference(){
translate([-block_width/2,-block_length/2,0])
cube([block_width,block_length,block_thickness]);

translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

rotate([0,0,-45])
translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

rotate([0,0,45])
translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

rotate([0,0,180])
translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

rotate([0,0,-225])
translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

rotate([0,0,225])
translate([0,mounting_hole_distance_to_center,-0.1])
cylinder(d=mounting_hole_diameter,h=block_thickness+0.2);

translate([0,0,-0.1])
cylinder(d=central_hole_diameter,h=block_thickness+0.2);
}
translate([block_width/2,0,0])
cylinder(d=block_width*2.2,h=block_thickness);
}
}

translate([-block_width/2-0.1,-15,block_thickness/2])
rotate([0,90,0])
cylinder(d=mounting_hole_diameter,h=block_width+height_to_bed+0.2);
translate([-block_width/2-0.1,15,block_thickness/2])
rotate([0,90,0])
cylinder(d=mounting_hole_diameter,h=block_width+height_to_bed+0.2);
}